<?
if(isset($_GET['add']))
{
echo "<div class='event'><h1><a href='?admin=$admin'>$admin_name</a> / Добавить</h1></div>";
echo '<div class="content"><div class="block">';
if(isset($_POST['ok']))
{
if(isset($_FILES['file']))
{
$type = $_FILES['file']['type'];
if ($type!=='image/jpeg' && $type!=='image/jpg' && $type!=='image/gif' && $type!=='image/png'){$err=1;err_game('Это не картинка');}
}
else {$err=1;err_game('Выберите картинку');}
$name=$_POST['name'];
if(strlen2($name)<1){$err=1;err_game('Слишком короткое название рецепта');}
$cena=intval($_POST['cena']);
$count=intval($_POST['count']);
$timee=intval($_POST['time']);
$rating=intval($_POST['rating']);
$money=intval($_POST['money']);
$level=intval($_POST['level']);
if(!is_numeric($level) || strlen2($level)<1){$err=1;err_game('Неверный уровень доступности');}
if(!is_numeric($money) || strlen2($money)<1){$err=1;err_game('Неверное к-тво рубинов за банку');}
if(!is_numeric($cena) || strlen2($cena)<1){$err=1;err_game('Неверная цена');}
if(!is_numeric($count) || strlen2($count)<1){$err=1;err_game('Неверное к-тво банок');}
if(!is_numeric($timee) || strlen2($timee)<1){$err=1;err_game('Неверное время готовки');}
if(!is_numeric($rating) || strlen2($rating)<1){$err=1;err_game('Неверный опыт');}
$timee=60*$timee;
$time_soil=60*$time_soil;
if (!isset($err))
{
$tmp = $_FILES['file']['tmp_name'];
mysql_query("INSERT INTO `kolhoz_plant2` SET `name` = '$name', `cena` = '$cena', `count` = '$count', `time` = '$timee', `rating` = '$rating', `time_soil2` = '$time_soil2', `ruby` = '$ruby', `level` = '$level'");
$id=mysql_insert_id();
move_uploaded_file($tmp, 
"images/plants/$image.png");
header("location: ?admin= $admin");
}
}
echo "<form method=\"post\" enctype='multipart/form-data'>\n";
echo "Название рецепта:<br /><input name=\"name\" type=\"text\" maxlength='32' value='' /><br />\n";echo "Цена:<br /><input name=\"cena\" type=\"text\" maxlength='32' value='0' /><br />\n";echo "К-тво банок:<br /><input name=\"count\" type=\"text\" maxlength='32' value=''/><br />\n";echo "Опыт:<br /><input name=\"rating\" type=\"text\" maxlength='32' value=''/><br />\n";echo "К-тво монет за банку:<br /><input name=\"money\" type=\"text\" maxlength='32' value=''/><br />\n";echo "Время готовки (минут):<br /><input name=\"time\" type=\"text\" maxlength='32' value=''/><br />\n";echo "Уровень доступности:<br /><input name=\"level\" type=\"text\" maxlength='32' value=''/><br />\n";echo "Изображение рецепта (потом можно изменить):<br/><input type='file' name='file' /><br/>\n";
echo "<input value='Добавить' type='submit' name='ok' /><br />\n";
echo "</form>\n";
echo "</div>";
include_once 'inc/foot.php';
exit;
}





if(isset($_GET['edit']) && intval($_GET['edit'])!=NULL && mysql_result(mysql_query("SELECT COUNT(*) FROM `kolhoz_plant2` WHERE `id` = '".intval($_GET['edit'])."'"),0)!=0)
{
$edit=mysql_fetch_array(mysql_query("SELECT * FROM `kolhoz_plant2` WHERE `id` = '".intval($_GET['edit'])."'"));


if(isset($_GET['change_img']))
{
echo "<div class='event'><h1><a href='?admin=$admin'>$admin_name</a> / Заменить изображение</h1></div>";
echo '<div class="content"><div class="block">';
if(isset($_POST['ok']))
{
if(isset($_FILES['file']))
{
$type = $_FILES['file']['type'];
if ($type!=='image/jpeg' && $type!=='image/jpg' && $type!=='image/gif' && $type!=='image/png'){$err=1;err_game('Это не картинка');}
}
else {$err=1;err_game('Выберите картинку');}
if (!isset($err))
{
$tmp = $_FILES['file']['tmp_name'];
unlink("images/plants/$edit[image].png");
move_uploaded_file($tmp, 
"images/plants/$edit[image].png");
header("Location:?admin=$admin&edit=$edit[id]");
}
}
echo "<form method=\"post\" enctype='multipart/form-data'>\n";
echo "Изображение закатки:<br/><input type='file' name='file' /><br/>\n";
echo "<input value='Сохранить' type='submit' name='ok' /></form><br />\n";
echo "</div>";
include_once 'inc/foot.php';
exit;
}

echo "<div class='event'><h1><a href='?admin=$admin'>$admin_name</a> / Редактировать</h1></div>";
echo '<div class="content"><div class="block">';

if(isset($_POST['ok']))
{
$name=$_POST['name'];
if(strlen2($name)<1){$err=1;err_game('Слишком короткое название растемия');}
$cena=intval($_POST['cena']);
$count=intval($_POST['count']);
$timee=intval($_POST['time']);
$rating=intval($_POST['rating']);
$money=intval($_POST['money']);
$level=intval($_POST['level']);
if(!is_numeric($level) || strlen2($level)<1){$err=1;err_game('Неверный уровень доступности');}
if(!is_numeric($money) || strlen2($money)<1){$err=1;err_game('Неверное к-тво рубинов за банку');}
if(!is_numeric($cena) || strlen2($cena)<1){$err=1;err_game('Неверная цена');}
if(!is_numeric($count) || strlen2($count)<1){$err=1;err_game('Неверное к-тво банок');}
if(!is_numeric($timee) || strlen2($timee)<1){$err=1;err_game('Неверное время готовки');}
if(!is_numeric($rating) || strlen2($rating)<1){$err=1;err_game('Неверный опыт');}
$timee=60*$timee;
$time_soil=60*$time_soil;
if (!isset($err))
{
mysql_query("UPDATE `kolhoz_plant2` SET `name` = '$name', `cena` = '$cena', `count` = '$count', `time` = '$timee', `rating` = '$rating', `time_soil2` = '$time_soil', `ruby` = '$ruby', `level` = '$level' WHERE `id` = '$edit[id]'");
header("Location:?admin=$admin");
}
}
echo "<ul>";
echo "<li style='padding-bottom:8px'>";
echo "<img width='48' height='48' src='images/plants/$edit[image].png' alt='o' class='portrait'>";
echo "<div class='small'>";
echo "<a href='?admin=$admin&edit=$edit[id]&change_img'>Заменить изображение</a>";
echo "</div></li></ul><div style='clear:both'></div>";
echo "<form method=\"post\" enctype='multipart/form-data'>\n";
echo "Название рецепта:<br /><input name=\"name\" type=\"text\" maxlength='32' value='$edit[name]' /><br />\n";
echo "Цена:<br /><input name=\"cena\" type=\"text\" maxlength='32' value='$edit[cena]' /><br />\n";
echo "К-тво банок:<br /><input name=\"count\" type=\"text\" maxlength='32' value='$edit[count]'/><br />\n";
echo "Опыт:<br /><input name=\"rating\" type=\"text\" maxlength='32' value='$edit[rating]'/><br />\n";
echo "К-тво рубинов за банку:<br /><input name=\"ruby\" type=\"text\" maxlength='32' value='$edit[money]'/><br />\n";
echo "Время готовки (минут):<br /><input name=\"time\" type=\"text\" maxlength='32' value='".($edit['time']/60)."'/><br />\n";
echo "Уровень доступности:<br /><input name=\"level\" type=\"text\" maxlength='32' value='$edit[level]'/><br />\n";
echo "<input value='Сохранить' type='submit' name='ok' /></form>\n";
echo "<div><br/>&raquo; <a href='?admin=$admin&del=$edit[id]'>Удалить</a></div>";
echo "</div>";
include_once 'inc/foot.php';
exit;
}



if(isset($_GET['del']) && intval($_GET['del'])!=NULL && mysql_result(mysql_query("SELECT COUNT(*) FROM `kolhoz_plant2` WHERE `id` = '".intval($_GET['del'])."'"),0)!=0)
{
$del=mysql_fetch_array(mysql_query("SELECT * FROM `kolhoz_plant2` WHERE `id` = '".intval($_GET['del'])."'"));
if(isset($_GET['ok']))
{
mysql_query("DELETE FROM `kolhoz_recipes` WHERE `id` = '$del[id]'");
mysql_query("UPDATE `kolhoz_grount` SET `id_plant` = '0' WHERE `id_plant` = '$del[id]'");
unlink("images/plants/$del[image].png");
header("Location:?admin=$admin");
}
podtv("?admin=$admin&del=$del[id]&ok","?admin=$admin");
include_once 'inc/foot.php';
exit;
}

echo "<div class='event'><h1><a href='?admin=list'>Админка</a> / $admin_name</h1></div>";
echo '<div class="content"><div class="block">';


$k_post = mysql_result(mysql_query("SELECT COUNT(*) FROM `kolhoz_plant2`"),0);
if ($k_post==0)
{
echo "Список пуст...";
}
$k_page=k_page($k_post,$set['p_str']);
$page=page($k_page);
$start=$set['p_str']*$page-$set['p_str'];
$q=mysql_query("SELECT * FROM `kolhoz_plant2` ORDER BY `id` DESC LIMIT $start, $set[p_str]");
while($post=mysql_fetch_array($q))
{
echo "<li style='padding-bottom:8px'>";
echo "<a href='?admin=$admin&edit=$post[id]&change_img'><img width='48' height='48' src='images/plants/$post[image].png' alt='o' class='portrait'></a>";
echo "<div class='small'>";
echo "<span><a href='?admin=$admin&edit=$post[id]'>".hsc($post['name'])."</a></span> <span class='minor'>, цена: </span><span><img width='16' height='16' src='images/icons/ruby.png' alt='o'><span class='title'>$post[cena]</span></span> (доступно с $post[level] уровня</span>)</div><div class='small minor'> Время готовки: <span class='title'>".time_left($post['time'])."</span><br>Доход: <img width='16' height='16' src='images/icons/ruby.png' alt='o'> <span>$post[money]</span>,
Опыт: <img width='16' height='16' src='images/icons/experience.png' alt='o'> <span>$post[rating]</span>,
Кол-во банок: <span>$post[count]</span> <span>шт.</span></div></li>";
}
echo "</ul>";
if ($k_page>1)str("?admin=$admin&",$k_page,$page); // Вывод страниц
echo "<div>&raquo; <a href='?admin=$admin&add'>Добавить рецепт</a></div>";
echo "</div>";
include_once 'inc/foot.php';
?>